<?php
/**
 * Shortcode Preview
 *
 * @package Portfolio and Projects Pro
 * @since 1.2
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

$authenticated          = false;
$registered_shortcodes  = wp_pap_registered_shortcodes();

// Getting shortcode value
if( !empty( $_POST['wp_pap_customizer_shrt'] ) ) {
	$shortcode_val = wp_pap_pro_clean( $_POST['wp_pap_customizer_shrt'] );
} elseif ( !empty($_GET['shortcode']) && isset( $registered_shortcodes[ $_GET['shortcode'] ] ) ) {
	$shortcode_val = '['.$_GET['shortcode'].']';
} else {
	$shortcode_val = '';
}

// For authentication so no one can use page via URL
if( isset($_SERVER['HTTP_REFERER']) ) {
	$url_query  = parse_url($_SERVER['HTTP_REFERER'], PHP_URL_QUERY);
	parse_str( $url_query, $referer );

	if( !empty($referer['page']) && $referer['page'] == 'wp-pap-shrt-mapper' ) {
		$authenticated = true;
	}
}

// Check Authentication else exit
if( !$authenticated ) {
	wp_die( __('Sorry, you are not allowed to access this page.', 'portfolio-and-projects') );
}
?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
	<head>
		<meta charset="<?php bloginfo( 'charset' ); ?>">
		<meta http-equiv="Imagetoolbar" content="No" />
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title><?php _e("Shortcode Preview", "portfolio-and-projects"); ?></title>

		<?php wp_print_styles('common'); ?>
		<link rel="stylesheet" href="<?php echo WP_PAP_PRO_URL; ?>assets/css/slick.css?ver=<?php echo WP_PAP_PRO_VERSION; ?>" type="text/css" />
		<link rel="stylesheet" href="<?php echo WP_PAP_PRO_URL; ?>assets/css/magnific-popup.css?ver=<?php echo WP_PAP_PRO_VERSION; ?>" type="text/css" />
		<link rel="stylesheet" href="<?php echo WP_PAP_PRO_URL; ?>assets/css/wp-pap-public.min.css?ver=<?php echo WP_PAP_PRO_VERSION; ?>" type="text/css" />
		<?php do_action( 'wp_pap_shortcode_preview_head', $shortcode_val ); ?>

		<style type="text/css">
			body{background: #fff; overflow-x: hidden;}
			.wp-pap-customizer-container{padding:0 16px;}
			.wp-pap-customizer-container a[href^="http"]{cursor:not-allowed !important;}
			a:focus, a:active{box-shadow: none; outline: none;}
			.wp-pap-link-notice{display: none; position: fixed; color: #a94442; background-color: #f2dede; border:1px solid #ebccd1; max-width:300px; width: 100%; left:0; right:0; bottom:30%; margin:auto; padding:10px; text-align: center; z-index: 1050;}
		</style>
		<?php wp_print_scripts( array('jquery') ); ?>
	</head>
	<body>
		<div id="wp-pap-customizer-container" class="wp-pap-customizer-container">
			<?php if( $shortcode_val ) {
				echo do_shortcode( $shortcode_val );
			} ?>
		</div>
		<div class="wp-pap-link-notice"><?php _e('Sorry, You can not visit the link in preview', 'portfolio-and-projects'); ?></div>

		<script type='text/javascript'>
		//<![CDATA[
		var WpPap = <?php echo wp_json_encode(array(
													'is_mobile'         =>  (wp_is_mobile())            ? 1 : 0,
													'is_old_browser'    =>  wp_pap_pro_old_browser()    ? 1 : 0,
												)); ?>;
		//]]>
		</script>
		<script type="text/javascript" src="<?php echo WP_PAP_PRO_URL; ?>assets/js/slick.min.js?ver=<?php echo WP_PAP_PRO_VERSION; ?>"></script>
		<script type="text/javascript" src="<?php echo WP_PAP_PRO_URL; ?>assets/js/jquery.magnific-popup.min.js?ver=<?php echo WP_PAP_PRO_VERSION; ?>"></script>
		<script type="text/javascript" src="<?php  echo WP_PAP_PRO_URL; ?>assets/js/wp-pap-portfolio.min.js?ver=<?php echo WP_PAP_PRO_VERSION; ?>"></script>
		<script type="text/javascript" src="<?php echo WP_PAP_PRO_URL; ?>assets/js/wp-pap-public.min.js?ver=<?php echo WP_PAP_PRO_VERSION; ?>"></script>
		<?php do_action( 'wp_pap_shortcode_preview_footer', $shortcode_val ); ?>
		<script type="text/javascript">
		jQuery(document).ready(function($) {
			$(document).on('click', 'a', function(event) {
				
				var href_val = $(this).attr('href');

				if( href_val.indexOf('javascript:') < 0 ) {
					$('.wp-pap-link-notice').fadeIn();
				}
				event.preventDefault();

				setTimeout(function() {
					$(".wp-pap-link-notice").fadeOut('normal');
				}, 4000 );
			});
		});
		</script>
	</body>
</html>