<?php
/**
 * Blocks Initializer
 * 
 * @package Portfolio and Projects Pro
 * @since 1.5
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

/**
 * Register script and style 
 *
 * @package Portfolio and Projects Pro
 * @since 1.5
 */
function wp_pap_pro_register_guten_block() {

	// Some Variables
	$shrt_gen_link = add_query_arg( array( 'post_type' => WP_PAP_PRO_POST_TYPE, 'page' => 'wp-pap-shrt-mapper' ), admin_url('edit.php') );

	wp_register_script( 'wp-pap-block-js', WP_PAP_PRO_URL.'assets/js/blocks.build.js', array( 'wp-blocks', 'wp-i18n', 'wp-element', 'wp-editor', 'wp-components' ), WP_PAP_PRO_VERSION, true );
	wp_localize_script( 'wp-pap-block-js', 'WpPap_Block', array(
																	'shrt_gen_link' 		=> $shrt_gen_link,
																	'filter_shrt_gen_link'	=> add_query_arg( array( 'shortcode' => 'pap_portfolio_filter' ), $shrt_gen_link ),
																));

	// Register block and explicit attributes for grid
	register_block_type( 'wp-pap-pro/pap-portfolio', array(
		'attributes' => array(
			'design' => array(
							'type'		=> 'string',
							'default'	=> 'design-1',
						),
			'grid' => array(
							'type'		=> 'number',
							'default'	=> 3,
						),
			'popup_style' => array(
							'type'		=> 'string',
							'default'	=> 'inline',
						),
			'link' => array(
							'type'		=> 'string',
							'default'	=> 'true',
						),
			'link_target' => array(
							'type'		=> 'string',
							'default'	=> 'self',
						),
			'image_size' => array(
							'type'		=> 'string',
							'default'	=> 'full',
						),
			'portfolio_height' => array(
							'type'		=> 'number',
							'default'	=> '',
						),
			'design_offset' => array(
							'type'		=> 'number',
							'default'	=> '',
						),
			'image_fit' => array(
							'type'		=> 'string',
							'default'	=> 'true',
						),
			'limit' => array(
							'type'		=> 'number',
							'default'	=> 20,
						),
			'orderby' => array(
							'type'		=> 'string',
							'default'	=> 'date',
						),
			'order' => array(
							'type'		=> 'string',
							'default'	=> 'desc',
						),
			'category' => array(
							'type'		=> 'string',
							'default'	=> '',
						),
			'include_cat_child' => array(
							'type'		=> 'string',
							'default'	=> 'true',
						),
			'exclude_cat' => array(
							'type'		=> 'string',
							'default'	=> '',
						),
			'posts' => array(
							'type'		=> 'string',
							'default'	=> '',
						),
			'exclude_post' => array(
							'type'		=> 'string',
							'default'	=> '',
						),
			'pagination' => array(
							'type'		=> 'string',
							'default'	=> 'true',
						),
			'pagination_type' => array(
							'type'		=> 'string',
							'default'	=> 'numeric',
						),
			'query_offset' => array(
							'type'		=> 'number',
							'default'	=> '',
						),
			'align' => array(
							'type'		=> 'string',
							'default'	=> '',
						),
			'className' => array(
							'type'		=> 'string',
							'default'	=> '',
						),
		),
		'render_callback' => 'wp_pap_pro_portfolio_shortcode',
	));


	// Register block, and explicitly define the attributes for slider
	register_block_type( 'wp-pap-pro/pap-portfolio-filter', array(
		'attributes' => array(

			'design' => array(
							'type'		=> 'string',
							'default'	=> 'design-1',
						),
			'grid' => array(
							'type'		=> 'number',
							'default'	=> 3,
						),
			'popup_style' => array(
							'type'		=> 'string',
							'default'	=> 'inline',
						),
			'link' => array(
							'type'		=> 'string',
							'default'	=> 'true',
						),
			'link_target' => array(
							'type'		=> 'string',
							'default'	=> 'self',
						),
			'all_filter_text' => array(
							'type'		=> 'string',
							'default'	=> 'All',
						),
			'active_filter' => array(
							'type'		=> 'string',
							'default'	=> '1',
						),
			'image_size' => array(
							'type'		=> 'string',
							'default'	=> 'full',
						),
			'portfolio_height' => array(
							'type'		=> 'number',
							'default'	=> '',
						),
			'design_offset' => array(
							'type'		=> 'number',
							'default'	=> '',
						),
			'image_fit' => array(
							'type'		=> 'string',
							'default'	=> 'true',
						),
			'cat_limit' => array(
							'type'		=> 'number',
							'default'	=> '',
						),
			'cat_orderby' => array(
							'type'		=> 'string',
							'default'	=> 'name',
						),
			'cat_order' => array(
							'type'		=> 'string',
							'default'	=> 'asc',
						),
			'orderby' => array(
							'type'		=> 'string',
							'default'	=> 'date',
						),
			'order' => array(
							'type'		=> 'string',
							'default'	=> 'desc',
						),
			'category' => array(
							'type'		=> 'string',
							'default'	=> '',
						),
			'include_cat_child' => array(
							'type'		=> 'string',
							'default'	=> 'true',
						),
			'exclude_cat' => array(
							'type'		=> 'string',
							'default'	=> '',
						),
			'align' => array(
							'type'		=> 'string',
							'default'	=> '',
						),
			'className' => array(
							'type'		=> 'string',
							'default'	=> '',
						),
		),
		'render_callback' => 'wp_pap_pro_portfolio_filter_shortcode',
	));

	if ( function_exists( 'wp_set_script_translations' ) ) {
		wp_set_script_translations( 'wp-pap-block-js', 'portfolio-and-projects', WP_PAP_PRO_DIR . '/languages' );
	}

}
add_action( 'init', 'wp_pap_pro_register_guten_block' );

/**
 * Enqueue Gutenberg block assets for backend editor.
 *
 * @uses {wp-blocks} for block type registration & related functions.
 * @uses {wp-element} for WP Element abstraction — structure of blocks.
 * @uses {wp-i18n} to internationalize the block's text.
 * @uses {wp-editor} for WP editor styles.
 * 
 * @package Portfolio and Projects Pro
 * @since 1.5
 */
function wp_pap_pro_editor_assets() {	

	// Block Editor CSS
	if( ! wp_style_is( 'wpos-guten-block-css', 'registered' ) ) {
		wp_register_style( 'wpos-guten-block-css', WP_PAP_PRO_URL.'assets/css/blocks.editor.build.css', array( 'wp-edit-blocks' ), WP_PAP_PRO_VERSION );
	}

	// Block Editor Script
	wp_enqueue_style( 'wpos-guten-block-css' );
	wp_enqueue_script( 'wp-pap-block-js' );
}
add_action( 'enqueue_block_editor_assets', 'wp_pap_pro_editor_assets' );

/**
 * Adds an extra category to the block inserter
 *
 * @package Portfolio and Projects Pro
 * @since 1.5
 */
function wp_pap_pro_add_block_category( $categories ) {

	$guten_cats = wp_list_pluck( $categories, 'slug' );

	if( ! in_array( 'wpos_guten_block', $guten_cats ) ) {
		$categories[] = array(
							'slug'	=> 'wpos_guten_block',
							'title'	=> __('WPOS Blocks', 'portfolio-and-projects'),
							'icon'	=> null,
						);
	}

	return $categories;
}
add_filter( 'block_categories', 'wp_pap_pro_add_block_category' );