<?php
/**
 * Shortcode Fields for Shortcode Preview
 *
 * @package Portfolio and Projects Pro
 * @since 1.2
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

/**
 * Generate 'pap_portfolio' shortcode fields for preview
 * 
 * @package Portfolio and Projects Pro
 * @since 1.2
 */
function pap_portfolio_shortcode_fields( $shortcode ) {

	$fields = array(
			// General fields
			'general' => array(
					'title'     => __('General Parameters', 'portfolio-and-projects'),
					'params'   	=>  array(
									// General settings
									array(
										'type' 		=> 'dropdown',
										'heading' 	=> __( 'Design', 'portfolio-and-projects' ),
										'name' 		=> 'design',
										'value' 	=> array(
															'design-1'	=> __( 'Portfolio Design 1', 'portfolio-and-projects' ),
															'design-2'	=> __( 'Portfolio Design 2', 'portfolio-and-projects' ),
															'design-3'	=> __( 'Portfolio Design 3', 'portfolio-and-projects' ),
															'design-4'	=> __( 'Portfolio Design 4', 'portfolio-and-projects' ),
															'design-5'	=> __( 'Portfolio Design 5', 'portfolio-and-projects' ),
															'design-6'	=> __( 'Portfolio Design 6', 'portfolio-and-projects' ),
															'design-7'	=> __( 'Portfolio Design 7', 'portfolio-and-projects' ),
															'design-8'	=> __( 'Portfolio Design 8', 'portfolio-and-projects' ),
															'design-9'	=> __( 'Portfolio Design 9', 'portfolio-and-projects' ),
															'design-10'	=> __( 'Portfolio Design 10', 'portfolio-and-projects' ),
															'design-11'	=> __( 'Portfolio Design 11', 'portfolio-and-projects' ),
															'design-12'	=> __( 'Portfolio Design 12', 'portfolio-and-projects' ),
															'design-13'	=> __( 'Portfolio Design 13', 'portfolio-and-projects' ),
															'design-14'	=> __( 'Portfolio Design 14', 'portfolio-and-projects' ),
															'design-15'	=> __( 'Portfolio Design 15', 'portfolio-and-projects' ),
														),
										'desc' 		=> __( 'Choose design.', 'portfolio-and-projects' ),
									),
									array(
										'type' 		=> 'dropdown',
										'heading' 	=> __( 'Grid', 'portfolio-and-projects' ),
										'name' 		=> 'grid',
										'value' 	=> array(
															'1'	=> __( 'Grid 1', 'portfolio-and-projects' ),
															'2'	=> __( 'Grid 2', 'portfolio-and-projects' ),
															'3'	=> __( 'Grid 3', 'portfolio-and-projects' ),
															'4'	=> __( 'Grid 4', 'portfolio-and-projects' ),
														),
										'default'	=> '3',
										'desc' 		=> __( 'Choose number of columns for portfolios.', 'portfolio-and-projects' ),
									),
									array(
										'type' 		=> 'dropdown',
										'heading' 	=> __( 'Popup Style', 'portfolio-and-projects' ),
										'name' 		=> 'popup_style',
										'value' 	=> array(
															'inline'	=> __( 'Inline', 'portfolio-and-projects' ),
															'popup'	 	=> __( 'Popup', 'portfolio-and-projects' ),
															'none'		=> __( 'No Popup', 'portfolio-and-projects' ),
														),
										'desc' 		=> __( 'Choose portfolio popup style.', 'portfolio-and-projects' )
									),
									array(
										'type' 		=> 'dropdown',
										'heading' 	=> __( 'Link', 'portfolio-and-projects' ),
										'name' 		=> 'link',
										'value' 	=> array(
															'true'	=> __( 'True', 'portfolio-and-projects' ),
															'false'	=> __( 'False', 'portfolio-and-projects' ),
														),
										'desc' 		=> __( 'Enable link on portfolio.', 'portfolio-and-projects' ),
										
									),
									array(
										'type' 		=> 'dropdown',
										'heading' 	=> __( 'Link Behaviour', 'portfolio-and-projects' ),
										'name' 		=> 'link_target',
										'value' 	=> array(
															'self'	=> __( 'Same Window', 'portfolio-and-projects' ),
															'blank'	=> __( 'New Window', 'portfolio-and-projects' ),
														),
										'desc' 		=> __( 'Choose link behaviour.', 'portfolio-and-projects' ),
										'dependency'=> array(
																'element' 	=> 'link',
																'value' 	=> array( 'true' ),
															),
									),
									array(
										'type' 			=> 'text',
										'heading' 		=> __( 'Image Size', 'portfolio-and-projects' ),
										'name' 			=> 'image_size',
										'value' 		=> 'full',
										'refresh_time'	=> 1000,
										'desc' 			=> __( 'Choose WordPress registered image size. e.g', 'portfolio-and-projects' ).' thumbnail, medium, large, full.',
									),
									array(
										'type' 		=> 'number',
										'heading' 	=> __( 'Portfolio Height', 'portfolio-and-projects' ),
										'name' 		=> 'portfolio_height',
										'value' 	=> '',
										'desc' 		=> __( 'Enter portfolio box height. e.g 400. Leave empty for default.', 'portfolio-and-projects' ),
									),
									array(
										'type' 		=> 'number',
										'heading' 	=> __( 'Design Offset', 'portfolio-and-projects' ),
										'name' 		=> 'design_offset',
										'value' 	=> '',
										'desc' 		=> __( 'Distance between two portfolios. e.g 5. Leave empty for default.', 'portfolio-and-projects' ),
									),
									array(
										'type' 		=> 'dropdown',
										'heading' 	=> __( 'Image Fit', 'portfolio-and-projects' ),
										'name' 		=> 'image_fit',
										'value' 	=> array(
															'true'	=> __( 'True', 'portfolio-and-projects' ),
															'false'	=> __( 'False', 'portfolio-and-projects' ),
														),
										'desc' 		=> __( 'Fill the portfolio image in a whole container.', 'portfolio-and-projects' ),
									),
									array(
										'type' 			=> 'text',
										'heading' 		=> __( 'Extra Class', 'portfolio-and-projects' ),
										'name' 			=> 'extra_class',
										'value' 		=> '',
										'desc' 			=> __( 'Enter extra CSS class for design customization.', 'portfolio-and-projects' ) . '<label title="'.__('Note: Extra class added as parent so using extra class you customize your design.', 'portfolio-and-projects').'"> [?]</label>',
										'refresh_time'	=> 1000,
									),
								),
			),
			// Query Fields
			'query' => array(
					'title'		=> __('Query Parameters', 'portfolio-and-projects'),
					'params'    => array(
									// Query Settings	
									array(
										'type' 		=> 'number',
										'heading' 	=> __( 'Total Items', 'portfolio-and-projects' ),
										'name' 		=> 'limit',
										'value' 	=> 20,
										'min'		=> -1,	
										'desc' 		=> __( 'Enter number of portfolio to be displayed. Enter -1 to display all.', 'portfolio-and-projects'),
									),
									array(
										'type' 		=> 'dropdown',
										'heading' 	=> __( 'Post Order By', 'portfolio-and-projects' ),
										'name' 		=> 'orderby',
										'value' 	=> array(
															'date'		=> __( 'Post Date', 'portfolio-and-projects' ),
															'ID'		=> __( 'Post ID', 'portfolio-and-projects' ),
															'author'	=> __( 'Post Author', 'portfolio-and-projects' ),
															'title'		=> __( 'Post Title', 'portfolio-and-projects' ),
															'name'		=> __( 'Post Slug', 'portfolio-and-projects' ),
															'modified'	=> __( 'Post Modified Date', 'portfolio-and-projects' ),
															'rand'		=> __( 'Random', 'portfolio-and-projects' ),
															'menu_order'=> __( 'Menu Order', 'portfolio-and-projects' ),
														),
										'desc' 		=> __( 'Select order type.', 'portfolio-and-projects' ),
									),
									array(
										'type' 		=> 'dropdown',
										'heading' 	=> __( 'Post Order', 'portfolio-and-projects' ),
										'name' 		=> 'order',
										'value' 	=> array(
															'desc'	=> __( 'Descending', 'portfolio-and-projects' ),
															'asc'	=> __( 'Ascending', 'portfolio-and-projects' ),
														),
										'desc' 		=> __( 'Select sorting order.', 'portfolio-and-projects' ),
									),
									array(
										'type' 			=> 'text',
										'heading' 		=> __( 'Display Specific Category', 'portfolio-and-projects' ),
										'name' 			=> 'category',
										'value' 		=> '',
										'refresh_time'	=> 1000,
										'desc' 			=> __( 'Enter category id to display categories wise.', 'portfolio-and-projects' ) . '<label title="'.__('You can pass multiple ids with comma seperated. You can find id at relevant category listing page.', 'portfolio-and-projects').'"> [?]</label>',
									),
									array(
										'type' 		=> 'dropdown',
										'heading' 	=> __( 'Include Category Children', 'portfolio-and-projects' ),
										'name' 		=> 'include_cat_child',
										'value' 	=> array(
															'true'	=> __( 'True', 'portfolio-and-projects' ) ,
															'false'	=> __( 'False', 'portfolio-and-projects' ),
														),
										'desc' 		=> __( 'If you are using parent category then whether to display child category or not.', 'portfolio-and-projects' ),
									),
									array(
										'type' 			=> 'text',
										'heading' 		=> __( 'Exclude Category', 'portfolio-and-projects' ),
										'name' 			=> 'exclude_cat',
										'value' 		=> '',
										'refresh_time'	=> 1000,
										'desc' 			=> __( 'Exclude post category. Works only if `Category` field is empty.', 'portfolio-and-projects' ) . '<label title="'.__('You can pass multiple ids with comma seperated. You can find id at relevant category listing page.', 'portfolio-and-projects').'"> [?]</label>',
									),
									array(
										'type' 			=> 'text',
										'heading' 		=> __( 'Display Specific Posts', 'portfolio-and-projects' ),
										'name' 			=> 'posts',
										'value' 		=> '',
										'refresh_time'	=> 1000,
										'desc' 			=> __('Enter id of the post which you want to display.', 'portfolio-and-projects') . '<label title="'.__('You can pass multiple ids with comma seperated. You can find id at relevant post listing page.', 'portfolio-and-projects').'"> [?]</label>',
									),
									array(
										'type' 			=> 'text',
										'heading' 		=> __( 'Exclude Post', 'portfolio-and-projects' ),
										'name' 			=> 'exclude_post',
										'value' 		=> '',
										'refresh_time'	=> 1000,
										'desc' 			=> __('Enter id of the post which you do not want to display.', 'portfolio-and-projects') . '<label title="'.__('You can pass multiple ids with comma seperated. You can find id at relevant post listing page.', 'portfolio-and-projects').'"> [?]</label>',
									),
									array(
										'type' 		=> 'dropdown',
										'heading' 	=> __( 'Pagination', 'portfolio-and-projects' ),
										'name' 		=> 'pagination',
										'value' 	=> array(
															'true'	=> __( 'True', 'portfolio-and-projects' ),
															'false'	=> __( 'False', 'portfolio-and-projects' ),
														),
										'dependency'=> array(
															'element' 				=> 'limit',
															'value_not_equal_to' 	=> array( '-1' ),
														),
										'desc' 		=> __( 'Enable pagination.', 'portfolio-and-projects' ),
									),
									array(
										'type' 		=> 'dropdown',
										'heading' 	=> __( 'Pagination Type', 'portfolio-and-projects' ),
										'name' 		=> 'pagination_type',
										'value' 	=> array(
															'numeric'	=> __( 'Numeric', 'portfolio-and-projects' ),
															'prev-next'	=> __( 'Prev - Next', 'portfolio-and-projects' ),
														),
										'desc' 		=> __( 'Choose pagination type.', 'portfolio-and-projects' ),
										'dependency'=> array(
															'element' 				=> 'pagination',
															'value_not_equal_to' 	=> array( 'false' ),
														),
									),
									array(
										'type' 		=> 'number',
										'heading' 	=> __( 'Query Offset', 'portfolio-and-projects' ),
										'name' 		=> 'query_offset',
										'value' 	=> '',
										'desc' 		=> __( 'Exclude number of posts from starting.', 'portfolio-and-projects' ) . '<label title="'.__('e.g if you pass 5 then it will skip first five post. Note: Do not use limit=-1 and pagination=true with this.', 'portfolio-and-projects').'"> [?]</label>',
									),
								)
			),
	);
	return $fields;
}
/**
 * Generate 'pap_portfolio_filter' shortcode fields for preview
 * 
 * @package Portfolio and Projects Pro
 * @since 1.2
 */
function pap_portfolio_filter_shortcode_fields( $shortcode ) {

	$fields = array(
			// General fields
			'general' => array(
					'title'     => __('General Parameters', 'portfolio-and-projects'),
					'params'    =>  array(
									// General settings
									array(
										'type' 		=> 'dropdown',
										'heading' 	=> __( 'Design', 'portfolio-and-projects' ),
										'name' 		=> 'design',
										'value' 	=> array(
															'design-1'	=> __( 'Portfolio Design 1', 'portfolio-and-projects' ),
															'design-2'	=> __( 'Portfolio Design 2', 'portfolio-and-projects' ),
															'design-3'	=> __( 'Portfolio Design 3', 'portfolio-and-projects' ),
															'design-4'	=> __( 'Portfolio Design 4', 'portfolio-and-projects' ),
															'design-5'	=> __( 'Portfolio Design 5', 'portfolio-and-projects' ),
															'design-6'	=> __( 'Portfolio Design 6', 'portfolio-and-projects' ),
															'design-7'	=> __( 'Portfolio Design 7', 'portfolio-and-projects' ),
															'design-8'	=> __( 'Portfolio Design 8', 'portfolio-and-projects' ),
															'design-9'	=> __( 'Portfolio Design 9', 'portfolio-and-projects' ),
															'design-10'	=> __( 'Portfolio Design 10', 'portfolio-and-projects' ),
															'design-11'	=> __( 'Portfolio Design 11', 'portfolio-and-projects' ),
															'design-12'	=> __( 'Portfolio Design 12', 'portfolio-and-projects' ),
															'design-13'	=> __( 'Portfolio Design 13', 'portfolio-and-projects' ),
															'design-14'	=> __( 'Portfolio Design 14', 'portfolio-and-projects' ),
															'design-15'	=> __( 'Portfolio Design 15', 'portfolio-and-projects' ),
														),
										'desc' 		=> __( 'Choose portfolio design.', 'portfolio-and-projects' ),
									),
									array(
										'type' 		=> 'dropdown',
										'heading' 	=> __( 'Grid', 'portfolio-and-projects' ),
										'name' 		=> 'grid',
										'value' 	=> array(
															'1'	=> __( 'Grid 1', 'portfolio-and-projects' ),
															'2'	=> __( 'Grid 2', 'portfolio-and-projects' ),
															'3'	=> __( 'Grid 3', 'portfolio-and-projects' ),
															'4'	=> __( 'Grid 4', 'portfolio-and-projects' ),
														),
										'default'	=> '3',
										'desc' 		=> __( 'Choose number of columns for portfolios.', 'portfolio-and-projects' ),
									),
									array(
										'type' 		=> 'dropdown',
										'heading' 	=> __( 'Popup Style', 'portfolio-and-projects' ),
										'name' 		=> 'popup_style',
										'value' 	=> array(
															'inline'	=> __( 'Inline', 'portfolio-and-projects' ) ,
															'popup'		=> __( 'Popup', 'portfolio-and-projects' ) ,
															'none'		=> __( 'No Popup', 'portfolio-and-projects' ),
														),
										'desc' 		=> __( 'Choose portfolio popup style.', 'portfolio-and-projects' )
									),
									array(
										'type' 		=> 'dropdown',
										'heading' 	=> __( 'Link', 'portfolio-and-projects' ),
										'name' 		=> 'link',
										'value' 	=> array(
															'true'	=> __( 'True', 'portfolio-and-projects' ),
															'false'	=> __( 'False', 'portfolio-and-projects' ),
														),
										'desc' 		=> __( 'Enable link on portfolio.', 'portfolio-and-projects' ),
									),
									array(
										'type' 		=> 'dropdown',
										'heading' 	=> __( 'Link Behaviour', 'portfolio-and-projects' ),
										'name' 		=> 'link_target',
										'value' 	=> array(
															'self'	=> __( 'Same Window', 'portfolio-and-projects' ),
															'blank'	=> __( 'New Window', 'portfolio-and-projects' ),
														),
										'desc' 		=> __( 'Choose link behaviour.', 'portfolio-and-projects' ),
										'dependency'=> array(
																'element' 	=> 'link',
																'value' 	=> array( 'true' ),
															),
									),
									array(
										'type' 			=> 'text',
										'heading' 		=> __( 'All Filter Text', 'portfolio-and-projects' ),
										'name' 			=> 'all_filter_text',
										'value' 		=> __('All', 'portfolio-and-projects'),
										'refresh_time'	=> 1000,
										'allow_empty'	=> true,
										'desc' 			=> __( 'Entet the text value for `All` filter tag.', 'portfolio-and-projects' ),
									),
									array(
										'type'		=> 'text',
										'heading'	=> __( 'Active Category Filter', 'portfolio-and-projects' ),
										'name'		=> 'active_filter',
										'value'		=> 1,
										'desc'		=> __( 'Enter number to remain active / default category tab at initial stage.', 'portfolio-and-projects') . '<label title="'.__('e.g 2 for second number category. You can pass cat-{Your Cat ID} (cat-20) also.', 'portfolio-and-projects').'"> [?]</label>',
									),
									array(
										'type' 			=> 'text',
										'heading' 		=> __( 'Image Size', 'portfolio-and-projects' ),
										'name' 			=> 'image_size',
										'value' 		=> 'full',
										'refresh_time'	=> 1000,
										'desc' 			=> __( 'Choose WordPress registered image size. e.g', 'portfolio-and-projects' ).' thumbnail, medium, large, full.',
									),
									array(
										'type' 		=> 'number',
										'heading' 	=> __( 'Portfolio Height', 'portfolio-and-projects' ),
										'name' 		=> 'portfolio_height',
										'value' 	=> '',
										'desc' 		=> __( 'Enter portfolio box height. e.g 400. Leave empty for default.', 'portfolio-and-projects' ),
									),
									array(
										'type' 		=> 'number',
										'heading' 	=> __( 'Design Offset', 'portfolio-and-projects' ),
										'name' 		=> 'design_offset',
										'value' 	=> '',
										'desc' 		=> __( 'Distance between two portfolios. e.g 5. Leave empty for default.', 'portfolio-and-projects' ),
									),
									array(
										'type' 		=> 'dropdown',
										'heading' 	=> __( 'Image Fit', 'portfolio-and-projects' ),
										'name' 		=> 'image_fit',
										'value' 	=> array(
															'true'	=> __( 'True', 'portfolio-and-projects' ),
															'false'	=> __( 'False', 'portfolio-and-projects' ),
														),
										'desc' 		=> __( 'Fill the portfolio image in a whole container.', 'portfolio-and-projects' ),
									),
									array(
										'type' 			=> 'text',
										'heading' 		=> __( 'Extra Class', 'portfolio-and-projects' ),
										'name' 			=> 'extra_class',
										'value' 		=> '',
										'desc' 			=> __( 'Enter extra CSS class for design customization.', 'portfolio-and-projects' ) . '<label title="'.__('Note: Extra class added as parent so using extra class you customize your design.', 'portfolio-and-projects').'"> [?]</label>',
										'refresh_time'	=> 1000,
									),
								)
			),
			// Query Fields
			'query' => array(
					'title'		=> __('Query Parameters', 'portfolio-and-projects'),
					'params'    => array(
									// Query Settings
									array(
										'type' 		=> 'number',
										'heading' 	=> __( 'Category Limit', 'portfolio-and-projects' ),
										'name' 		=> 'cat_limit',
										'value' 	=> '',
										'desc' 		=> __( 'Display number of categories. Leave empty for default value.', 'portfolio-and-projects'),
									),
									array(
										'type' 		=> 'dropdown',
										'heading' 	=> __( 'Category OrderBy', 'portfolio-and-projects' ),
										'name' 		=> 'cat_orderby',
										'value' 	=> array(
															'name'		=> __( 'Category Name', 'portfolio-and-projects' ),
															'slug'		=> __( 'Category Slug', 'portfolio-and-projects' ),
															'id'		=> __( 'Category ID', 'portfolio-and-projects' ),
															'count'		=> __( 'Category Count', 'portfolio-and-projects' ),
															'term_group'=> __( 'Category Term Group', 'portfolio-and-projects' ),
															'none'		=> __( 'None', 'portfolio-and-projects' ),
														),
										'desc' 		=> __( 'Select Category order type.', 'portfolio-and-projects' ),
									),
									array(
										'type' 		=> 'dropdown',
										'heading' 	=> __( 'Category Order', 'portfolio-and-projects' ),
										'name' 		=> 'cat_order',
										'value' 	=> array(
															'desc'	=> __( 'Descending', 'portfolio-and-projects' ),
															'asc'	=> __( 'Ascending', 'portfolio-and-projects' ),
														),
										'default'	=> 'asc',		
										'desc' 		=> __( 'Select category sorting order.', 'portfolio-and-projects' ),
									),
									array(
										'type' 		=> 'dropdown',
										'heading' 	=> __( 'Post Order By', 'portfolio-and-projects' ),
										'name' 		=> 'orderby',
										'value' 	=> array(
															'date'		=> __( 'Post Date', 'portfolio-and-projects' ),
															'ID'		=> __( 'Post ID', 'portfolio-and-projects' ),
															'author'	=> __( 'Post Author', 'portfolio-and-projects' ),
															'title'		=> __( 'Post Title', 'portfolio-and-projects' ),
															'name'		=> __( 'Post Slug', 'portfolio-and-projects' ),
															'modified'	=> __( 'Post Modified Date', 'portfolio-and-projects' ),
															'rand'		=> __( 'Random', 'portfolio-and-projects' ),
															'menu_order'=> __( 'Menu Order', 'portfolio-and-projects' ),
														),
										'desc' 		=> __( 'Select order type.', 'portfolio-and-projects' ),
									),
									array(
										'type' 		=> 'dropdown',
										'heading' 	=> __( 'Post Order', 'portfolio-and-projects' ),
										'name' 		=> 'order',
										'value' 	=> array(
															'desc'	=> __( 'Descending', 'portfolio-and-projects' ),
															'asc'	=> __( 'Ascending', 'portfolio-and-projects' ),
														),
										'desc' 		=> __( 'Select sorting order.', 'portfolio-and-projects' ),
									),
									array(
										'type' 			=> 'text',
										'heading' 		=> __( 'Display Specific Category', 'portfolio-and-projects' ),
										'name' 			=> 'category',
										'value' 		=> '',
										'refresh_time'	=> 1000,
										'desc' 			=> __( 'Enter category id to display categories wise.', 'portfolio-and-projects' ) . '<label title="'.__('You can pass multiple ids with comma seperated. You can find id at relevant category listing page.', 'portfolio-and-projects').'"> [?]</label>',
									),
									array(
										'type' 		=> 'dropdown',
										'heading' 	=> __( 'Include Category Child', 'portfolio-and-projects' ),
										'name' 		=> 'include_cat_child',
										'value' 	=> array(
															'true'	=> __( 'True', 'portfolio-and-projects' ),
															'false'	=> __( 'False', 'portfolio-and-projects' ),
														),
										'desc' 		=> __( 'If you are using parent category then whether to display child category or not.', 'portfolio-and-projects' ),
									),
									array(
										'type' 			=> 'text',
										'heading' 		=> __( 'Exclude Category', 'portfolio-and-projects' ),
										'name' 			=> 'exclude_cat',
										'value' 		=> '',
										'refresh_time'	=> 1000,
										'desc' 			=> __( 'Exclude post category. Works only if `Category` field is empty.', 'portfolio-and-projects' ) . '<label title="'.__('You can pass multiple ids with comma seperated. You can find id at relevant category listing page.', 'portfolio-and-projects').'"> [?]</label>',
									),
								)
			),
	);
	return $fields;
}