<?php
/**
 * Template for Design 8
 *
 * This template can be overridden by copying it to yourtheme/portfolio-and-projects-pro/designs/design-8.php
 *
 * If you want to override for grid only then put it into 'grid' folder and same for respective.
 *
 * @package Portfolio and Projects Pro
 * @version 1.3
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
} ?>

<li class="<?php echo $wrapper_cls; ?>" style="<?php echo $wrapper_css; ?>">
	<div class="wppap-li-inner-wrap">
		<div class="wppap-portfolio-bg">
			<?php if( $portfolio_img ) { ?>
				<img class="wppap-portfolio-img" src="<?php echo esc_url($portfolio_img); ?>" alt="<?php the_title_attribute(); ?>" />
			<?php } ?>
		</div>

		<div class="wppap-title-overlay">
			<div class="wppap-title-overlay-wrp">
				<?php if($portfolio_post_title) { ?>
				<span class="wppap-description"><?php echo $portfolio_post_title; ?></span>
				<?php } 
				if(!empty($portfolio_cat)) {?>
				<div class="wppap-cats"><?php echo $portfolio_cat; ?></div>
				<?php } ?>

				<div class="wppap-external-link-popup">
					<?php if( $portfolio_url && $link ) { ?>
					<a href="<?php echo esc_url($portfolio_url); ?>" class="wppap-external-link" target="<?php echo $link_target; ?>"></a>
					<?php } ?>

					<?php if( $popup_style ) { ?>
					<a href="javascript:void(0);" class="wppap-popup-link wppap-popup-ref-link"></a>
					<?php } ?>
				</div>
			</div>
			<a href="<?php echo $portfolio_link; ?>" class="wppap-thumbnail wppap-popup-info-link" data-mfp-src="#wppap-popup-<?php echo $unique; ?>" target="<?php echo $portfolio_link_target; ?>"></a>
		</div>
	</div>
</li>