<?php
/**
 * Template for Design 1
 *
 * This template can be overridden by copying it to yourtheme/portfolio-and-projects-pro/popup/popup-portfolio.php
 *
 * If you want to override for grid only then put it into 'grid' folder and same for respective.
 *
 * @package Portfolio and Projects Pro
 * @version 1.3
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $post; ?>

<div class="wppap-popup-main-wrapper mfp-hide" id="wppap-popup-<?php echo $unique; ?>">

	<a href="javascript:void(0);" class="wp-pap-popup-close wp-pap-close-btn mfp-close" title="<?php _e('Close', 'portfolio-and-projects'); ?>"></a><?php

	if( !empty($gallery_imgs) ) { ?>
		<div id="wppap-popup-slider-<?php echo $unique; ?>" class="wppap-popup-img-grp wppap-img-grp">
			<?php foreach ($gallery_imgs as $img_key => $img_data) {
				$gallery_img_src 	= wp_pap_pro_get_image_src($img_data, 'full');
				$img_alt_text 		= get_post_meta( $img_data, '_wp_attachment_image_alt', true );
				$img_title			= get_the_title($img_data);
			?>
				<div class="wppap-popup-img-slick">
					<img src="<?php echo esc_url($gallery_img_src); ?>" alt="<?php the_title_attribute( array('post' => $img_data) ); ?>" />
					<?php if ($img_title) { ?>
					<div class="wppap-popup-img-info"><?php echo $img_title; ?></div>
					<?php } ?>
				</div>
			<?php } // End of for each ?>
		</div>
		<div class="wppap-slider-conf" data-conf="<?php echo htmlspecialchars( json_encode( $slider_conf ) ); ?>"></div>
	<?php } ?>

	<div class="wppap-pop-other-content">
		<div class="wppap-popup-portfolio-title"><?php the_title(); ?></div>
		<div class="wppap-popup-portfolio-content"><?php the_content(); ?></div>

		<?php if(!empty($tag_name) || !empty($cate_name) || $project_url) { ?>
		<table class="wppap-portfolio-meta-tbl">
			<tbody>
				<?php if( !empty( $cate_name ) ) { ?>
				<tr>
					<th><?php _e('Categories', 'portfolio-and-projects'); ?> :</th>
					<td>
						<div class="wppap-popup-cats"><?php echo $cate_name; ?></div>
					</td>
				</tr>
				<?php } ?>

				<?php if(!empty($tag_name)) { ?>
				<tr>
					<th><?php _e('Skills', 'portfolio-and-projects'); ?> :</th>
					<td>
						<div class="wppap-popup-tags"><?php echo $tag_name; ?></div>
					</td>
				</tr>
				<?php } ?>

				<?php if( $project_url && $link ) { ?>
				<tr>
					<th><?php _e('URL', 'portfolio-and-projects'); ?> :</th>
					<td>
						<a href="<?php echo esc_url($project_url); ?>" class="wppap-project-url-btn" target="<?php echo $link_target; ?>"><?php _e('View Project', 'portfolio-and-projects') ?></a>
					</td>
				</tr>
				<?php } ?>
			</tbody>
		</table>
		<?php } ?>
	</div>
</div>